/*
 * 
 * Backpack - Skyscanner's Design System
 * 
 * Copyright 2016-2021 Skyscanner Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

module.exports = {
  animationDurationBase: 400,
  animationDurationSm: 200,
  animationDurationXs: 50,
  backgroundAlternativeDarkColor: "rgb(0, 0, 0)",
  backgroundAlternativeLightColor: "rgb(241, 242, 248)",
  backgroundAlternativeSecondaryDarkColor: "rgb(29, 27, 32)",
  backgroundAlternativeSecondaryLightColor: "rgb(255, 255, 255)",
  backgroundDarkColor: "rgb(0, 0, 0)",
  backgroundElevation01DarkColor: "rgb(29, 27, 32)",
  backgroundElevation01LightColor: "rgb(255, 255, 255)",
  backgroundElevation02DarkColor: "rgb(44, 44, 46)",
  backgroundElevation02LightColor: "rgb(255, 255, 255)",
  backgroundElevation03DarkColor: "rgb(58, 58, 60)",
  backgroundElevation03LightColor: "rgb(255, 255, 255)",
  backgroundLightColor: "rgb(255, 255, 255)",
  backgroundSecondaryDarkColor: "rgb(29, 27, 32)",
  backgroundSecondaryLightColor: "rgb(241, 242, 248)",
  backgroundTertiaryDarkColor: "rgb(44, 44, 46)",
  backgroundTertiaryLightColor: "rgb(255, 255, 255)",
  borderRadiusLg: 24,
  borderRadiusMd: 12,
  borderRadiusPill: 40,
  borderRadiusSm: 8,
  borderRadiusXs: 4,
  borderSizeLg: 2,
  borderSizeSm: 1,
  borderSizeXl: 3,
  buttonBorderWidth: 2,
  buttonHeight: 32 + 4,
  buttonLineHeightLarge: 4 * 12,
  buttonPaddingHorizontal: 4 * 3,
  buttonPaddingVertical: 8,
  carouselIndicatorDotSizeBase: 6,
  carouselIndicatorDotSizeMd: 4,
  carouselIndicatorDotSizeSm: 2,
  colorAbisko: "rgb(90, 72, 155)",
  colorBagan: "rgb(255, 235, 208)",
  colorBlack: "rgb(0, 0, 0)",
  colorBlackTint01: "rgb(29, 27, 32)",
  colorBlackTint02: "rgb(44, 44, 46)",
  colorBlackTint03: "rgb(58, 58, 60)",
  colorBlackTint04: "rgb(72, 72, 74)",
  colorBlackTint05: "rgb(99, 99, 102)",
  colorBlackTint06: "rgb(142, 142, 147)",
  colorBunol: "rgb(255, 123, 89)",
  colorErfoud: "rgb(255, 181, 77)",
  colorGlencoe: "rgb(115, 206, 198)",
  colorHarbour: "rgb(246, 221, 225)",
  colorHillier: "rgb(225, 139, 150)",
  colorKolkata: "rgb(255, 148, 0)",
  colorMonteverde: "rgb(0, 166, 152)",
  colorNara: "rgb(255, 231, 224)",
  colorPanjin: "rgb(209, 67, 91)",
  colorPetra: "rgb(255, 171, 149)",
  colorPrimaryGradientLight: "rgb(7, 112, 227)",
  colorSagano: "rgb(208, 238, 236)",
  colorSkyBlue: "rgb(7, 112, 227)",
  colorSkyBlueShade01: "rgb(8, 78, 178)",
  colorSkyBlueShade02: "rgb(4, 39, 89)",
  colorSkyBlueShade03: "rgb(2, 18, 44)",
  colorSkyBlueTint01: "rgb(109, 159, 235)",
  colorSkyBlueTint02: "rgb(157, 192, 242)",
  colorSkyBlueTint03: "rgb(205, 223, 248)",
  colorSkyGray: "rgb(17, 18, 54)",
  colorSkyGrayTint01: "rgb(68, 69, 96)",
  colorSkyGrayTint02: "rgb(104, 105, 127)",
  colorSkyGrayTint03: "rgb(143, 144, 160)",
  colorSkyGrayTint04: "rgb(178, 178, 191)",
  colorSkyGrayTint05: "rgb(205, 205, 215)",
  colorSkyGrayTint06: "rgb(221, 221, 229)",
  colorSkyGrayTint07: "rgb(241, 242, 248)",
  colorSystemGreen: "rgb(0, 166, 152)",
  colorSystemRed: "rgb(209, 67, 91)",
  colorTochigi: "rgb(225, 221, 236)",
  colorValensole: "rgb(165, 155, 200)",
  colorWhite: "rgb(255, 255, 255)",
  elevationBase: 4,
  elevationLg: 8,
  elevationSm: 2,
  elevationXl: 16,
  elevationXs: 1,
  elevationXxl: 24,
  fontFamily: "sans-serif",
  fontFamilyEmphasize: "sans-serif-medium",
  fontFamilyHeavy: "sans-serif-black",
  fontSizeBase: 16,
  fontSizeCaps: 10,
  fontSizeLg: 20,
  fontSizeSm: 14,
  fontSizeXl: 24,
  fontSizeXs: 12,
  fontSizeXxl: 30,
  fontSizeXxxl: 36,
  letterSpacingBase: -0.2,
  letterSpacingCaps: 0.4,
  letterSpacingLg: -0.4,
  letterSpacingSm: 0,
  letterSpacingXl: -0.6,
  letterSpacingXs: 0,
  letterSpacingXxl: -0.8,
  letterSpacingXxxl: -1,
  lineDarkColor: "rgb(72, 72, 74)",
  lineHeightBase: 19,
  lineHeightLg: 23,
  lineHeightSm: 16,
  lineHeightXl: 28,
  lineHeightXs: 14,
  lineHeightXxl: 42,
  lineLightColor: "rgb(205, 205, 215)",
  primaryDarkColor: "rgb(109, 159, 235)",
  primaryLightColor: "rgb(7, 112, 227)",
  spacingBase: 16,
  spacingIconText: 8,
  spacingLg: 24,
  spacingMd: 8,
  spacingNone: 0,
  spacingSm: 4,
  spacingXl: 32,
  spacingXxl: 40,
  textBaseFontSize: 16,
  textBaseFontWeight: "400",
  textBaseLetterSpacing: -0.2,
  textCapsFontSize: 10,
  textCapsFontWeight: "400",
  textCapsLetterSpacing: 0.4,
  textEmphasizedFontWeight: "500",
  textLgFontSize: 20,
  textLgFontWeight: "400",
  textLgLetterSpacing: -0.4,
  textPrimaryDarkColor: "rgb(255, 255, 255)",
  textPrimaryLightColor: "rgb(17, 18, 54)",
  textQuaternaryDarkColor: "rgb(142, 142, 147)",
  textQuaternaryLightColor: "rgb(143, 144, 160)",
  textSecondaryDarkColor: "rgb(142, 142, 147)",
  textSecondaryLightColor: "rgb(104, 105, 127)",
  textSmFontSize: 14,
  textSmFontWeight: "400",
  textSmLetterSpacing: 0,
  textTertiaryDarkColor: "rgb(142, 142, 147)",
  textTertiaryLightColor: "rgb(143, 144, 160)",
  textXlFontSize: 24,
  textXlFontWeight: "400",
  textXlLetterSpacing: -0.6,
  textXsFontSize: 12,
  textXsFontWeight: "400",
  textXsLetterSpacing: 0,
  textXxlFontSize: 30,
  textXxlFontWeight: "400",
  textXxlLetterSpacing: -0.8,
  textXxxlFontSize: 36,
  textXxxlFontWeight: "400",
  textXxxlLetterSpacing: -1
};